Index: build/snova/trunk/obuild/DOS/build_lib_snova.bat
===================================================================
--- build/snova/trunk/obuild/DOS/build_lib_snova.bat	(revision 132)
+++ build/snova/trunk/obuild/DOS/build_lib_snova.bat	(revision 143)
@@ -4,5 +4,5 @@
 REM #
 REM # File produced by the obuild tool version 1.0
-REM # for the package snova with version v2r0p0.
+REM # for the package snova with version v2r0p1.
 REM #
 
@@ -324,4 +324,10 @@
 @IF %obuild_verbose% == yes @ECHO ON 
 cd "%obuild_snova_path%\%obuild_dir_bin%"
+%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_snova\snova_utils.obj  /Tp"..\source\snova\base\snova_utils.cc" 1> cl_exe_error
+@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
+cd "%obuild_snova_path%\obuild"
+
+cd "%obuild_snova_path%\%obuild_dir_bin%"
 %obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_snova\event.obj  /Tp"..\source\snova\base\event.cc" 1> cl_exe_error
 @IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@@ -419,14 +425,4 @@
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_43
-SET obuild_cxx_linker_command=c++
-:end_if_platform_43
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
@@ -438,20 +434,30 @@
 cd "%obuild_snova_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_45
+SET obuild_cxx_linker_command=c++
+:end_if_platform_45
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_45
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_46
 SET obuild_cxx_linker_command=cxx
-:end_if_platform_45
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_46
+:end_if_platform_46
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_47
 SET obuild_cxx_linker_command=link.exe
-:end_if_platform_46
+:end_if_platform_47
 SET obuild_platform_result=
 IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return
@@ -461,14 +467,4 @@
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_47
-SET obuild_cxx_linker_debug=-g
-:end_if_platform_47
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
@@ -480,5 +476,5 @@
 cd "%obuild_snova_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
@@ -490,36 +486,46 @@
 cd "%obuild_snova_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_50
+SET obuild_cxx_linker_debug=-g
+:end_if_platform_50
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_51
 SET obuild_cxx_linker_debug=/DEBUG
-:end_if_platform_50
-SET obuild_platform_result=
-
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_51
+:end_if_platform_51
+SET obuild_platform_result=
+
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_52
 SET obuild_cxx_linker_options=/nologo
-:end_if_platform_51
-SET obuild_platform_result=
-
-IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_snova_sh_52
+:end_if_platform_52
+SET obuild_platform_result=
+
+IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_snova_sh_53
   SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
-  GOTO end_if_db_build_lib_snova_sh_52
-:else_if_db_build_lib_snova_sh_52
+  GOTO end_if_db_build_lib_snova_sh_53
+:else_if_db_build_lib_snova_sh_53
   SET obuild_cxx_linker_debug_local=
-:end_if_db_build_lib_snova_sh_52
-
-IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_snova_sh_53
+:end_if_db_build_lib_snova_sh_53
+
+IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_snova_sh_54
   SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
-  GOTO end_if_opt_build_lib_snova_sh_53
-:else_if_opt_build_lib_snova_sh_53
+  GOTO end_if_opt_build_lib_snova_sh_54
+:else_if_opt_build_lib_snova_sh_54
   SET obuild_cxx_linker_optimize_local=
-:end_if_opt_build_lib_snova_sh_53
+:end_if_opt_build_lib_snova_sh_54
 
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
